#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "Templates/SubclassOf.h"
#include "SetUpLockerInteractionComponent.generated.h"

class UInteractionDefinition;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class USetUpLockerInteractionComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UInteractionDefinition> _interactionClass;

public:
	USetUpLockerInteractionComponent();
};

FORCEINLINE uint32 GetTypeHash(const USetUpLockerInteractionComponent) { return 0; }
